Delete Webhook
curl --request DELETE \
--url https://api.lemlist.com/api/hooks/{hookId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/hooks/{hookId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/hooks/{hookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/hooks/{hookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/hooks/{hookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "hoo_fmpVMoBhrEHtw3cgy",
"targetUrl": "https://n8n.example.com/webhook/lemlist-webhook-surprise",
"createdAt": "2024-07-11T13:55:06.276Z",
"type": "linkedinInterested",
"campaignId": "cam_A1B2C3D4E5F6G7H8I9"
}"Bad team""Webhook not found"Webhooks
Delete Webhook
Deletes a specific webhook.
DELETE
/
hooks
/
{hookId}
Delete Webhook
This endpoint uses the Webhook object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique webhook ID
Was this page helpful?